
int numberObjects=200;


class TestFilter : Object {
    private GLib.DBusConnection conn = null;
    private uint un;
    
    public TestFilter() {
        try {
	        stdout.printf("Conecting\n");
            conn = Bus.get_sync(GLib.BusType.SYSTEM, null);
        }
        catch(IOError e) {
            stdout.printf("%s", e.message);
        }
        stdout.printf("Subscribing signal\n");
        
        
		for (int i=0;i<numberObjects;i++){
			conn.signal_subscribe("net.prx.genio.prx","net.prx.test", "newSignalB", "/net/prx/test/"+i.to_string(), null,DBusSignalFlags.NONE, sign_cb);
		}
    }
    
    private void sign_cb(GLib.DBusConnection connection, string sender_name, string object_path, string interface_name, string signal_name, GLib.Variant parameters) {
        stdout.printf("%s ::: %s  ::: %s %s %s\n", sender_name, interface_name, signal_name, object_path,parameters.get_child_value(0).get_double().to_string());

    }

    public static int main () {
	    stdout.printf("Starting\n");
        var t = new TestFilter();
        new GLib.MainLoop(null, false).run();
        return 0;
    }
}
