int numberObjects=200;

[DBus (name = "net.prx.test")]
interface Demo : Object {
    public signal void newSignalA (double value);
    public signal void newSignalB (double value);
}

public class DemoClient : Object {    
    private Demo demo = null;	
    private int id;

	public DemoClient(int id){
			this.id=id;
	}    
	public void start () {
		//var loop = new MainLoop();

	    /* Needed only if your client is listening to signals; you can omit it otherwise */
		    try {
			    stdout.printf ("Connecting to a %s\n","/net/prx/test/"+id.to_string());
		        demo = Bus.get_proxy_sync (BusType.SYSTEM, "net.prx.genio.prx",
		                                                    "/net/prx/test/"+id.to_string());
		        /* Connecting to signal pong! */
		        demo.newSignalB.connect((c) => {
		            stdout.printf ("%d: Got new value '%s'\n",id,c.to_string());
		           // loop.quit ();
		        });
		    } catch (IOError e) {
		        stderr.printf ("%s\n", e.message);
		    }
		   // loop.run();	
		}
}
void main(){
var loop = new MainLoop();
DemoClient []clients = new DemoClient[numberObjects];

for (int i=0;i<numberObjects;i++){
	stdout.printf ("Creating %d\n",i);
	clients[i]= new DemoClient(i);

	}
	
for (int i=0;i<numberObjects;i++){
	stdout.printf ("Starting %d\n",i);
	clients[i].start();
	}	

loop.run();	
}
